Bug 1648608 - nouveau driver will not speak X11 to my 4K TV (wayland works)
Summary: nouveau driver will not speak X11 to my 4K TV (wayland works)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-10 23:26 UTC by Tom Horsley
Modified: 2020-05-26 15:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 15:12:46 UTC
Type: Bug


Attachments (Terms of Use)
The Xorg log from running nouveau drivers (bad signal) (43.70 KB, text/plain)
2018-11-10 23:26 UTC, Tom Horsley
no flags Details
The Xorg log from running nvidia driver (working fine) (36.24 KB, text/plain)
2018-11-10 23:29 UTC, Tom Horsley
no flags Details
edid-decode of monitor (5.39 KB, text/plain)
2019-05-11 00:49 UTC, Tom Horsley
no flags Details
dmesg from boot of live cd using wayland (81.77 KB, text/plain)
2019-05-11 00:52 UTC, Tom Horsley
no flags Details

Description Tom Horsley 2018-11-10 23:26:29 UTC
Created attachment 1504247 [details]
The Xorg log from running nouveau drivers (bad signal)

Description of problem:

The nouveau driver refuses to talk to my LG OLED55B6P in X11. Initially installed the fedora 29 workstation live image, and nouveau was speaking wayland just fine at the 3840x2160 full resolution. Switched to a login session with no wayland support, and the LG TV reports "invalid signal" and refuses to talk.
Installed the rpmfusion nvidia binary drivers and X11 works fine.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.15-6.fc29.x86_64


How reproducible:
100%

Steps to Reproduce:
1.see above
2.
3.

Actual results:
Invalid signal complaint from TV

Expected results:
UHD resolution screen

Additional info:
I'll attach some Xorg log files

Comment 1 Tom Horsley 2018-11-10 23:29:00 UTC
Created attachment 1504248 [details]
The Xorg log from running nvidia driver (working fine)

Comment 2 Tom Horsley 2019-05-07 00:00:33 UTC
This also happens in fedora 30

Comment 3 Tom Horsley 2019-05-11 00:49:54 UTC
Created attachment 1566872 [details]
edid-decode of monitor

I've booted the live CD on this system to find out exactly what wayland does to make the display show up and discovered that it decided to use the wacky 4096x2160@30HZ mode (not what I expected).

This is edid-decode of /sys/class/drm/card0-HDMI-A-1/edid

Comment 4 Tom Horsley 2019-05-11 00:52:50 UTC
Created attachment 1566884 [details]
dmesg from boot of live cd using wayland

This shows the nouveau initialization during boot. After booting, xrandr gives just this:

Screen 0: minimum 320 x 200, current 4096 x 2160, maximum 8192 x 8192
XWAYLAND0 connected 4096x2160+0+0 (normal left inverted right x axis y axis) 1600mm x 900mm
   4096x2160     29.98*+

Comment 5 Tom Horsley 2019-05-11 00:55:03 UTC
Running the same system with the nvidia binary drivers, X selects the correct native 3840x2160@60HZ resolution:

zooty> xrandr
Screen 0: minimum 8 x 8, current 3840 x 2160, maximum 16384 x 16384
DVI-I-0 disconnected primary (normal left inverted right x axis y axis)
DVI-I-1 disconnected (normal left inverted right x axis y axis)
HDMI-0 connected 3840x2160+0+0 (normal left inverted right x axis y axis) 1600mm x 900mm
   3840x2160     60.00*+  59.94    29.97    25.00    23.98  
   4096x2160     59.94    29.97    25.00    24.00    23.98  
   1920x1080     60.00    59.94    29.97    23.98    60.05    60.00  
   1360x768      60.02  
   1280x1024     60.02  
   1280x720      59.94  
   1152x864      60.00  
   1024x768      60.00  
   800x600       60.32  
   720x480       59.94  
   640x480       59.95    59.94    59.93  
DP-0 disconnected (normal left inverted right x axis y axis)
DP-1 disconnected (normal left inverted right x axis y axis)
DP-2 disconnected (normal left inverted right x axis y axis)
DP-3 disconnected (normal left inverted right x axis y axis)
DP-4 disconnected (normal left inverted right x axis y axis)
DP-5 disconnected (normal left inverted right x axis y axis)

Comment 6 Ben Cotton 2020-04-30 22:02:31 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2020-05-26 15:12:46 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.